"use client";
import { Inter } from "next/font/google";
import React, { useEffect } from "react";
import "./globals.css";
import BottomNav from "../components/BottomNav";
import { Provider } from "react-redux";
import store from "../store";
import withAuth from "@/components/WithAuth";
import Head from "next/head";
const inter = Inter({ subsets: ["latin"] });

const metadata = {
  title: "铁粉空间",
  description: "与Ta永不失联",
  keywords: [
    "铁粉空间",
    "铁粉空间APP",
    "社交",
    "网红",
    "粉丝",
    "创作者",
    "变现",
    "平台",
    "铁粉",
    "空间",
  ],
};
export const viewport = {
  width: "device-width",
  initialScale: 1,
  maximumScale: 1,
  userScalable: 0,
};
export default function RootLayout({ children }) {
  return (
    <html lang="zh-CN" className="bg-deepBg" data-prefers-color-scheme="dark">
      <Head>
        <title>{metadata.title}</title>
        <meta name="description" content={metadata.description} keywords={metadata.keywords}/>
      </Head>
      <body className={inter.className}>
        <main className={`w-full bg-deepBg `}>
          {withAuth(<Provider store={store}>{children}</Provider>)}
          {/* <Provider store={store}>{children}</Provider> */}
        </main>
        <footer className="fixed bottom-0 left-0 w-screen bg-black">
          <div>
            <BottomNav />
          </div>
        </footer>
      </body>
    </html>
  );
}
